/*
Solo para referencia. Estas variables están definidas en style.css
:root {
    --dark-color: #333333;
    --dark-gray-color: #555555;
    --gray-color: #aaaaaa;
    --light-gray-color: #e7e7e7;
    --light-color: #ffffff;
    --primary-color: #1766ae;
    --secondary-color: #f39222;
    --terciary-color: #dd2727;
    --light-shadow: #00000038;
    --dark-blue-color: #183153;
    --transition: 250ms;
    --bold-font: 800;
    --thin-font: 300;
    --font-family-primary: 'Montserrat';
}
*/

.services {
    width: 100%;
    .services__content {
        padding: 0 2rem;
        .services__box {
            width: 100%;
            max-width: 1400px;
            margin: 0 auto;
            display: flex;
            align-items: stretch;
            justify-content: space-between;
            flex-wrap: wrap;
        }
    }
}

.service-card {
    width: 400px;
    height: 400px;
    aspect-ratio: 1 / 1;
    border: 1px solid var(--light-gray-color);
    border-radius: 20px;
    overflow: hidden;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    display: flex;
    flex-direction: column;
    align-items: stretch;
    justify-content: flex-end;
    box-shadow: 5px 5px 5px var(--light-shadow);
    transition: var(--transition);
    position: relative;
    .service-card__inner {
        width: 100%;
        height: 22%;
        background-color: var(--light-color);
        .service-card__icon {
            width: 100px;
            height: 100px;
            margin: 0 auto;
            margin-top: -75px;
            border-radius: 999px;
            background-color: var(--light-color);
            border-width: 4px;
            border-style: solid;
            img {
                width: 100%;
                height: 100%;
                object-fit: contain;
            }
        }
    }
    &:hover {
        transform: scale(1.05);
        box-shadow: 15px 15px 15px var(--light-shadow);
    }
}

.service-card__title {
    padding: 0.2rem 1rem;
    width: 100%;
    border-radius: 15px 15px 99px 99px;
    position: absolute;
    top: 0;
    left: 0;
}

.service-card__ornament {
    width: 100%;
    margin-bottom: -1px;
    img {
        width: 100%;
        height: auto;
        object-fit: contain;
    }
}

@media (width <= 1366px){
    .services {
        .services__content{
            .services__box {
                justify-content: space-evenly;
            }
        }
    }
}

@media (width <= 512px){
    .services {
        .services__content {
            padding: 0 0.5rem;
        }
    }
    .service-card {
        width: 300px;
        height: 300px;
    }
}